unit UFormOutput;

{$mode delphi}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TFormOutput }

  TFormOutput = class(TForm)
    Label2: TLabel;
    MemoOutput: TMemo;
  private
    { private declarations }
  public
    procedure Reload;
  end;

var
  FormOutput: TFormOutput;

implementation

{$R *.lfm}

uses
  UCore, UTargetInterpretter;

{ TFormOutput }

procedure TFormOutput.Reload;
begin
  if Core.CurrentTarget is TTargetInterpretter then
  with TTargetInterpretter(Core.CurrentTarget) do begin
    if OutputChanged then begin
      OutputChanged := False;
      {$IFDEF LINUX}
      MemoOutput.Lines.Text := StringReplace(Output, #10#13, LineEnding, [rfReplaceAll])
      {$ELSE}
      MemoOutput.Lines.Text := Output;
      {$ENDIF}
    end;
  end;
end;

end.

