program LazFuck;

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}//{$IFDEF UseCThreads}
  cthreads, clocale,
  //{$ENDIF}
  {$ENDIF}
  Interfaces, // this includes the LCL widgetset
  Forms, UTarget, UTargetC, UTargetDelphi, UTargetInterpretter, UTargetPHP,
  UTargetJava, UTargetFPC, UFormCPU, UFormMain, UFormOptions, UFormTargets,
  UFormOutput, UFormInput, UFormMemory, UFormMessages, UFormSourceCode,
  UFormTargetCode, UFormTargetOptions, UCore, Common,
  UFormLog, UProject, UBFTarget, SysUtils;

{$R *.res}

{$if declared(UseHeapTrace)}
const
  HeapTraceLog = 'heaptrclog.trc';
{$ENDIF}


begin
  {$if declared(UseHeapTrace)}
  DeleteFile(ExtractFilePath(ParamStr(0)) + HeapTraceLog);
  SetHeapTraceOutput(ExtractFilePath(ParamStr(0)) + HeapTraceLog);
  {$ENDIF}

  Application.Scaled := True;
  Application.Title := 'LazFuck IDE';
  RequireDerivedFormResource := True;
  Application.Initialize;
  Application.CreateForm(TCore, Core);
  Application.CreateForm(TFormMain, FormMain);
  Application.CreateForm(TFormCPU, FormCPU);
  Application.CreateForm(TFormOutput, FormOutput);
  Application.CreateForm(TFormInput, FormInput);
  Application.CreateForm(TFormMemory, FormMemory);
  Application.CreateForm(TFormMessages, FormMessages);
  Application.CreateForm(TFormSourceCode, FormSourceCode);
  Application.CreateForm(TFormTargetCode, FormTargetCode);
  Application.Run;
end.

